aboutsummaryrefslogtreecommitdiffstats
path: root/ports/common/subports
diff options
context:
space:
mode:
Diffstat (limited to 'ports/common/subports')
-rw-r--r--ports/common/subports8
1 files changed, 8 insertions, 0 deletions
diff --git a/ports/common/subports b/ports/common/subports
new file mode 100644
index 0000000..e2aac56
--- /dev/null
+++ b/ports/common/subports
@@ -0,0 +1,8 @@
+#!/bin/sh
+case $(uname -s) in
+Linux) echo "linux";;
+Darwin) echo "darwin";;
+*) echo >&2 "Unknown result from uname -s: %(uname -s). Aborting."
+ exit 1
+ ;;
+esac